summaryrefslogtreecommitdiff
path: root/x11-libs
diff options
context:
space:
mode:
authorCtibor Brančík <ctibor@brancik.cz>2017-11-17 12:49:48 +0100
committerCtibor Brančík <ctibor@brancik.cz>2017-11-17 12:49:48 +0100
commitded63a1c762deb1fb25834911cd1d43c25bd3b3b (patch)
treede5ff8c570ad97176ff6df6d88e8ae9807377f81 /x11-libs
parent39ad1e3e2138d3700e7b08012abac009a4d6748a (diff)
downloadbrancik-overlay-ded63a1c762deb1fb25834911cd1d43c25bd3b3b.tar.gz
brancik-overlay-ded63a1c762deb1fb25834911cd1d43c25bd3b3b.tar.bz2
Fix installation paths
Diffstat (limited to 'x11-libs')
-rw-r--r--x11-libs/libQGLViewer/libQGLViewer-2.7.1.ebuild20
1 files changed, 12 insertions, 8 deletions
diff --git a/x11-libs/libQGLViewer/libQGLViewer-2.7.1.ebuild b/x11-libs/libQGLViewer/libQGLViewer-2.7.1.ebuild
index 4a78050..aeeac5d 100644
--- a/x11-libs/libQGLViewer/libQGLViewer-2.7.1.ebuild
+++ b/x11-libs/libQGLViewer/libQGLViewer-2.7.1.ebuild
@@ -4,7 +4,7 @@
EAPI=5
-inherit qmake-utils
+inherit qmake-utils multilib
DESCRIPTION="Simple 3D viewer class for Qt OpenGL applications"
HOMEPAGE="http://www.libqglviewer.com"
@@ -15,6 +15,7 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc"
+
DEPEND="virtual/opengl
dev-qt/qtopengl:5
dev-qt/qtxml:5"
@@ -28,14 +29,17 @@ src_configure() {
}
src_compile() {
- eqmake5 libQGLViewer-${PV}.pro
- emake || die "emake QGLViewer failed"
+ eqmake5 libQGLViewer-${PV}.pro -o Makefile \
+ PREFIX=/usr \
+ LIB_DIR=/usr/$(get_libdir)
+ emake || die "emake QGLViewer failed"
- cd designerPlugin
- eqmake5 designerPlugin.pro -o Makefile \
- INCLUDE_DIR=.. \
- LIB_DIR=../QGLViewer
- emake || die "emake designerPlugin failed"
+# cd designerPlugin
+# eqmake5 designerPlugin.pro -o Makefile \
+# PREFIX=/usr \
+# INCLUDE_DIR=.. \
+# LIB_DIR=../QGLViewer
+# emake || die "emake designerPlugin failed"
}
src_install() {